Summary: PPP Over Ethernet (xDSL support)
Name: rp-pppoe
Version: 3.5
Release: 7tr
License: GPL
Group: Network/Connectivity
Source: http://www.roaringpenguin.com/pppoe/%{name}-%{version}.tar.gz
Url: http://www.roaringpenguin.com/pppoe/
Patch1: %{name}-3.5-makefile.patch
BuildRoot: /var/tmp/%{name}-build
BuildRequires: perl
Requires: ppp >= 2.3.7
PreReq: chkconfig /sbin/restart_maybe

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

%prep
%setup -q
%patch1 -p1

%build
perl -pi -e "s/^# chkconfig:.*$/# chkconfig: - 11 89/" scripts/adsl-init.in
perl -pi -e "s/rc\.d\/init\.d/init.d/g" scripts/adsl-init.in
perl -pi -e "s/\/var\/lock\/subsys\//\\$\{INITLOCK\:\-\/mnt\/lockdev\}\//g" scripts/adsl-init.in
perl -pi -e "s/^DNSTYPE=SERVER/DNSTYPE=NOCHANGE/" configs/pppoe.conf
cd src
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
pushd src
%makeinstall
popd
install -m 755 scripts/adsl-init $RPM_BUILD_ROOT/etc/init.d/adsl

%post
# Create new system startup links
chkconfig --add adsl
/sbin/restart_maybe adsl

%preun
if [ $1 = 0 ]; then
  /etc/init.d/adsl stop >&2
  chkconfig --del adsl
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/CHANGES doc/HOW-TO-CONNECT doc/LICENSE doc/KERNEL-MODE-PPPOE README
%config(noreplace) /etc/ppp/pppoe.conf
%config(noreplace) /etc/ppp/pppoe-server-options
%config(noreplace) /etc/ppp/firewall-masq
%config(noreplace) /etc/ppp/firewall-standalone
/etc/ppp/plugins/*
/usr/sbin/pppoe
/usr/sbin/pppoe-server
/usr/sbin/pppoe-sniff
/usr/sbin/pppoe-relay
/usr/sbin/adsl-connect
/usr/sbin/adsl-start
/usr/sbin/adsl-stop
/usr/sbin/adsl-setup
/usr/sbin/adsl-status
%{_mandir}/man5/pppoe.conf.5*
%{_mandir}/man8/pppoe.8*
%{_mandir}/man8/pppoe-server.8*
%{_mandir}/man8/pppoe-relay.8*
%{_mandir}/man8/pppoe-sniff.8*
%{_mandir}/man8/adsl-connect.8*
%{_mandir}/man8/adsl-start.8*
%{_mandir}/man8/adsl-stop.8*
%{_mandir}/man8/adsl-status.8*
%{_mandir}/man8/adsl-setup.8*
/etc/init.d/adsl

%changelog
* Wed Oct 29 2003 Chr. Toldnes <christht at trustix dot org> 3.5-7tr
- Removed chkconfig hack.
- added adsl init-script.

* Tue Aug 26 2003 Erlend Midttun <erlendbm at trustix dot com> 3.5-6tr
- Change startup sequence to start early.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 3.5-5tr
- Make %%setup quiet.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.5-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.5-3em
- Rebuilt against glibc 2.3.2.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 3.5-2ct
- Changed to use $INITLOCK in adsl initscript.

* Mon Aug 26 2002 Gerald Dachs <gda at trustix dot org> 3.5-1gd
- new upstream version
- fixed init script location

* Fri Feb  8 2002 Christian H. Toldnes <christht at trustix dot com>
- Removed restart_maybe adsl.

* Fri Jan 25 2002 Christian H. Toldnes <christht at trustix dot com>
- Correct adsl init order, now S11, K89.

* Fri Jan 11 2002 Christian H. Toldnes <christht at trustix dot com>
- Added noreplace to the config files.
- Now uses "DNSTYPE=NOCHANGE" in default config file.

* Thu Jan  3 2002 Erlend Midttun <erlendbm at trustix dot com>
- Picked up 3.3.
- Changed chkconfig script to not autostart on a chkconfig --add.
- Added %preun and %post to take care of startup

* Fri Feb 23 2001 Oystein Viggen <oysteivi at trustix dot com>
- New in TSL

